Subject: bug#2827: Can't use Caps Lock on Windows

From: Jason Rumney <[email-masked]>
Date: Tue, 31 Mar 2009 15:05:05 +0800

tags 2827 unreproducible moreinfo
thanks

Michael Hoffman wrote:
> 1. Type the characters "lowercase" followed by return.
> 2. Press Caps Lock
> 3. Type the characters "uppercase"
>
> None of the characters will be in uppercase. All other Windows
> applications deal with Caps Lock correctly.
>   

I'm unable to reproduce this on any version of Emacs I currently have 
installed (21.3, 22.3 or 22.0.92). The earlier report was using 20.7, so 
I would expect to see the bug in at least 21.3 if it was consistently 
reproducible.

Is there any other software running on your system that might affect 
keyboard handling in subtle ways?

> Recent input:
> l o w e r c a s e <return> u p p e r c a s e
>   

In my case, this appears in view-lossage as:

l o w e r c a s e <return> U P P E R C A S E